%define	name	boson
%define	version	0.7
%define	release	1mdk
%define	summary	A Real-Time Strategy Game (RTS) for the KDE project

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Strategy
Source0:	http://belnet.dl.sourceforge.net/sourceforge/boson/%{name}-all-%{version}.tar.bz2
Source1:	%{name}-%{version}-textures-fix.tar.bz2
#Source2:	%{name}-icons.tar.bz2
URL:		http://boson.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	kdelibs-devel kdemultimedia-devel kdegames-devel libarts-devel libfam-devel
BuildRequires:  zlib-devel libaudiofile-devel libalsa-devel libpng-devel libjpeg-devel
BuildRequires:	libarts-devel libfam-devel XFree86-devel lib3ds-devel XFree86-devel
BuildRequires:	libart_lgpl2-devel kdelibs-common libexpat-devel libaudiofile-devel

%description
Boson is a real-time strategy game, like Command&Conquer(tm) or StarCraft(tm).
It is designed to run on Unix (Linux) computers and uses the Qt
Toolkit and QwSpriteField. A minimum of two players is required, since there is
no artificial intelligence (yet?).

Boson's Code and Graphics are published under the GNU General Public License.

If you want to know more about Boson, have a look at the Web site.

%prep
%setup -q -n %{name}-all-%{version}
tar -jxf %{SOURCE1} -C themes/

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"
./configure	--host=%{_target_platform} \
		--target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_libdir}/qt3 \
		--enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{__install} -d %{buildroot}%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Amusement/Strategy" $RPM_BUILD_ROOT/%{_datadir}/applnk/Games/TacticStrategy/%{name}.desktop $RPM_BUILD_ROOT/%{_menudir}/%{name} kde
kdedesktop2mdkmenu.pl %{name} "Amusement/Strategy" $RPM_BUILD_ROOT/%{_datadir}/applnk/Games/TacticStrategy/bounit.desktop $RPM_BUILD_ROOT/%{_menudir}/bounit kde

install $RPM_BUILD_ROOT%{_iconsdir}/locolor/16x16/apps/%{name}.png -D ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
install $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
install $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

#fix invalid binname
for f in `find  $RPM_BUILD_ROOT/%{_bindir}/ -type f -name %{_target_platform}-\*`
	do mv $f `echo $f| sed s/%{_target_platform}-//g`
done
	
%find_lang %{name}

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/bo*
%defattr(644,root,root,755)
%{_datadir}/apps/%{name}
%{_datadir}/applnk/Games/TacticStrategy/*.desktop
%{_datadir}/config/bodebug*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_menudir}/bo*
%doc ChangeLog INSTALL NEWS README TODO
%doc %{_docdir}/HTML/en/%{name}

%changelog
* Mon Mar 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7-1mdk
- don't rm -rf buildroot in prep stage
- don't create a filelist
- remove obsolete Prefix tag
- cleanups
- fix buildrequires
- 0.7
- added fix for slowdons(Source1)
- quiet setup
- added icons
- fix invalid binnames
- added documentation

* Thu Aug 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- from Florent BERANGER <cosmic.flo@libertysurf.fr> :
	- first Mdk release based on author works
